module Fiscal

  module FiscalConfig
    def config
      # The World Factbook 2013-14. Washington, DC: Central Intelligence Agency, 2013 .
      # https://www.cia.gov/library/publications/the-world-factbook/fields/2080.html

      # NOTE: ki, so are defaulted to 1, 1

      # country, month, day
      {nil: { mm: 1, dd: 1 },
        ad: { mm: 1, dd: 1 },
        ae: { mm: 1, dd: 1 },
        af: { mm: 12, dd: 21 },
        ag: { mm: 4, dd: 1 },
        ai: { mm: 4, dd: 1 },
        al: { mm: 1, dd: 1 },
        am: { mm: 1, dd: 1 },
        ao: { mm: 1, dd: 1 },
        ar: { mm: 1, dd: 1 },
        as: { mm: 10, dd: 1 },
        at: { mm: 1, dd: 1 },
        au: { mm: 7, dd: 1 },
        aw: { mm: 1, dd: 1 },
        az: { mm: 1, dd: 1 },
        ba: { mm: 1, dd: 1 },
        bb: { mm: 4, dd: 1 },
        bd: { mm: 7, dd: 1 },
        be: { mm: 1, dd: 1 },
        bf: { mm: 1, dd: 1 },
        bg: { mm: 1, dd: 1 },
        bh: { mm: 1, dd: 1 },
        bi: { mm: 1, dd: 1 },
        bj: { mm: 1, dd: 1 },
        bm: { mm: 4, dd: 1 },
        bn: { mm: 4, dd: 1 },
        bo: { mm: 1, dd: 1 },
        br: { mm: 1, dd: 1 },
        bs: { mm: 7, dd: 1 },
        bt: { mm: 7, dd: 1 },
        bw: { mm: 4, dd: 1 },
        by: { mm: 1, dd: 1 },
        bz: { mm: 4, dd: 1 },
        ca: { mm: 4, dd: 1 },
        cc: { mm: 7, dd: 1 },
        cd: { mm: 1, dd: 1 },
        cf: { mm: 1, dd: 1 },
        cg: { mm: 1, dd: 1 },
        ch: { mm: 1, dd: 1 },
        ci: { mm: 1, dd: 1 },
        ck: { mm: 4, dd: 1 },
        cl: { mm: 1, dd: 1 },
        cm: { mm: 7, dd: 1 },
        cn: { mm: 1, dd: 1 },
        co: { mm: 1, dd: 1 },
        cr: { mm: 1, dd: 1 },
        cu: { mm: 1, dd: 1 },
        cv: { mm: 1, dd: 1 },
        cx: { mm: 7, dd: 1 },
        cy: { mm: 1, dd: 1 },
        cz: { mm: 1, dd: 1 },
        de: { mm: 1, dd: 1 },
        dj: { mm: 1, dd: 1 },
        dk: { mm: 1, dd: 1 },
        dm: { mm: 7, dd: 1 },
        do: { mm: 1, dd: 1 },
        dz: { mm: 1, dd: 1 },
        ec: { mm: 1, dd: 1 },
        ee: { mm: 1, dd: 1 },
        eg: { mm: 7, dd: 1 },
        eh: { mm: 1, dd: 1 },
        er: { mm: 1, dd: 1 },
        es: { mm: 1, dd: 1 },
        et: { mm: 7, dd: 8 },
        fi: { mm: 1, dd: 1 },
        fj: { mm: 1, dd: 1 },
        fk: { mm: 4, dd: 1 },
        fm: { mm: 10, dd: 1 },
        fo: { mm: 1, dd: 1 },
        fr: { mm: 1, dd: 1 },
        ga: { mm: 1, dd: 1 },
        gb: { mm: 4, dd: 6 },
        gd: { mm: 1, dd: 1 },
        ge: { mm: 1, dd: 1 },
        gg: { mm: 1, dd: 1 },
        gh: { mm: 1, dd: 1 },
        gi: { mm: 7, dd: 1 },
        gl: { mm: 1, dd: 1 },
        gm: { mm: 1, dd: 1 },
        gn: { mm: 1, dd: 1 },
        gq: { mm: 1, dd: 1 },
        gr: { mm: 1, dd: 1 },
        gt: { mm: 1, dd: 1 },
        gu: { mm: 10, dd: 1 },
        gw: { mm: 1, dd: 1 },
        gy: { mm: 1, dd: 1 },
        hk: { mm: 4, dd: 1 },
        hn: { mm: 1, dd: 1 },
        hr: { mm: 1, dd: 1 },
        ht: { mm: 10, dd: 1 },
        hu: { mm: 1, dd: 1 },
        id: { mm: 1, dd: 1 },
        ie: { mm: 1, dd: 1 },
        il: { mm: 1, dd: 1 },
        im: { mm: 4, dd: 1 },
        in: { mm: 4, dd: 1 },
        iq: { mm: 1, dd: 1 },
        ir: { mm: 3, dd: 21 },
        is: { mm: 1, dd: 1 },
        it: { mm: 1, dd: 1 },
        je: { mm: 4, dd: 1 },
        jm: { mm: 4, dd: 1 },
        jo: { mm: 1, dd: 1 },
        jp: { mm: 4, dd: 1 },
        ke: { mm: 7, dd: 1 },
        kg: { mm: 1, dd: 1 },
        kh: { mm: 1, dd: 1 },
        ki: { mm: 1, dd: 1 },
        km: { mm: 1, dd: 1 },
        kn: { mm: 1, dd: 1 },
        kp: { mm: 1, dd: 1 },
        kr: { mm: 1, dd: 1 },
        kw: { mm: 4, dd: 1 },
        ky: { mm: 4, dd: 1 },
        kz: { mm: 1, dd: 1 },
        la: { mm: 10, dd: 1 },
        lb: { mm: 1, dd: 1 },
        lc: { mm: 4, dd: 1 },
        li: { mm: 1, dd: 1 },
        lk: { mm: 1, dd: 1 },
        lr: { mm: 1, dd: 1 },
        ls: { mm: 4, dd: 1 },
        lt: { mm: 1, dd: 1 },
        lu: { mm: 1, dd: 1 },
        lv: { mm: 1, dd: 1 },
        ly: { mm: 1, dd: 1 },
        ma: { mm: 1, dd: 1 },
        mc: { mm: 1, dd: 1 },
        md: { mm: 1, dd: 1 },
        me: { mm: 1, dd: 1 },
        mg: { mm: 1, dd: 1 },
        mh: { mm: 10, dd: 1 },
        mk: { mm: 1, dd: 1 },
        ml: { mm: 1, dd: 1 },
        mm: { mm: 4, dd: 1 },
        mn: { mm: 1, dd: 1 },
        mo: { mm: 1, dd: 1 },
        mp: { mm: 10, dd: 1 },
        mr: { mm: 1, dd: 1 },
        ms: { mm: 4, dd: 1 },
        mt: { mm: 1, dd: 1 },
        mu: { mm: 7, dd: 1 },
        mv: { mm: 1, dd: 1 },
        mw: { mm: 7, dd: 1 },
        mx: { mm: 1, dd: 1 },
        my: { mm: 1, dd: 1 },
        mz: { mm: 1, dd: 1 },
        na: { mm: 4, dd: 1 },
        nc: { mm: 1, dd: 1 },
        ne: { mm: 1, dd: 1 },
        nf: { mm: 7, dd: 1 },
        ng: { mm: 1, dd: 1 },
        ni: { mm: 1, dd: 1 },
        nl: { mm: 1, dd: 1 },
        no: { mm: 1, dd: 1 },
        np: { mm: 7, dd: 16 },
        nr: { mm: 7, dd: 1 },
        nu: { mm: 4, dd: 1 },
        nz: { mm: 4, dd: 1 },
        om: { mm: 1, dd: 1 },
        pa: { mm: 1, dd: 1 },
        pe: { mm: 1, dd: 1 },
        pf: { mm: 1, dd: 1 },
        pg: { mm: 1, dd: 1 },
        ph: { mm: 1, dd: 1 },
        pk: { mm: 7, dd: 1 },
        pl: { mm: 1, dd: 1 },
        pm: { mm: 1, dd: 1 },
        pn: { mm: 4, dd: 1 },
        pr: { mm: 7, dd: 1 },
        pt: { mm: 1, dd: 1 },
        pw: { mm: 10, dd: 1 },
        py: { mm: 1, dd: 1 },
        qa: { mm: 4, dd: 1 },
        ro: { mm: 1, dd: 1 },
        ru: { mm: 1, dd: 1 },
        rw: { mm: 1, dd: 1 },
        sa: { mm: 1, dd: 1 },
        sb: { mm: 1, dd: 1 },
        sc: { mm: 1, dd: 1 },
        sd: { mm: 1, dd: 1 },
        se: { mm: 1, dd: 1 },
        sg: { mm: 4, dd: 1 },
        sh: { mm: 4, dd: 1 },
        si: { mm: 1, dd: 1 },
        sk: { mm: 1, dd: 1 },
        sl: { mm: 1, dd: 1 },
        sm: { mm: 1, dd: 1 },
        sn: { mm: 1, dd: 1 },
        so: { mm: 1, dd: 1 },
        sr: { mm: 1, dd: 1 },
        st: { mm: 1, dd: 1 },
        sv: { mm: 1, dd: 1 },
        sy: { mm: 1, dd: 1 },
        sz: { mm: 4, dd: 1 },
        tc: { mm: 1, dd: 1 },
        td: { mm: 1, dd: 1 },
        tg: { mm: 1, dd: 1 },
        th: { mm: 10, dd: 1 },
        tj: { mm: 1, dd: 1 },
        tk: { mm: 4, dd: 1 },
        tl: { mm: 1, dd: 1 },
        tm: { mm: 1, dd: 1 },
        tn: { mm: 1, dd: 1 },
        to: { mm: 7, dd: 1 },
        tr: { mm: 1, dd: 1 },
        tt: { mm: 10, dd: 1 },
        tv: { mm: 1, dd: 1 },
        tw: { mm: 1, dd: 1 },
        tz: { mm: 7, dd: 1 },
        ua: { mm: 1, dd: 1 },
        ug: { mm: 7, dd: 1 },
        us: { mm: 10, dd: 1 },
        uy: { mm: 1, dd: 1 },
        uz: { mm: 1, dd: 1 },
        va: { mm: 1, dd: 1 },
        vc: { mm: 1, dd: 1 },
        ve: { mm: 1, dd: 1 },
        vg: { mm: 4, dd: 1 },
        vi: { mm: 10, dd: 1 },
        vn: { mm: 1, dd: 1 },
        vu: { mm: 1, dd: 1 },
        wf: { mm: 1, dd: 1 },
        ws: { mm: 6, dd: 1 },
        ye: { mm: 1, dd: 1 },
        za: { mm: 4, dd: 1 },
        zm: { mm: 1, dd: 1 },
        zw: { mm: 1, dd: 1 }
      }
    end
  end

end